Bug 1461069 - Fix for failing tests of websocketpp 0.7.0-6, test_permessage_deflate, test_transport, test_transport_asio_timers
Fix for failing tests of websocketpp 0.7.0-6, test_permessage_deflate, test_t...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: websocketpp (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-13 09:02 EDT by c72578
Modified: 2017-07-07 19:01 EDT (History)
2 users (show)

See Also:
Fixed In Version: websocketpp-0.7.0-7.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-07 19:01:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix build and test failures with zlib 1.2.11. Fixes test_permessage_deflate (24.88 KB, patch)
2017-06-13 09:57 EDT, c72578
no flags Details | Diff
minor adjustments to recent extension negotiation related fixes (6.81 KB, patch)
2017-06-13 10:01 EDT, c72578
no flags Details | Diff
Disable tests transport-test and transport_asio_timers (1.20 KB, patch)
2017-06-13 10:02 EDT, c72578
no flags Details | Diff

  None (edit)
Description c72578 2017-06-13 09:02:36 EDT
Description of problem:
- Up to now, a test of websocketpp 0.7.0-6 is always failing.
3 - test_permessage_deflate (Failed)
See:
https://kojipkgs.fedoraproject.org//packages/websocketpp/0.7.0/6.fc27/data/logs/noarch/build.log

- Upstream, the issue "build and testsuite failures with zlib 1.2.11" has been fixed recently:
https://github.com/zaphoyd/websocketpp/issues/653

Using the following two commits
https://github.com/zaphoyd/websocketpp/commit/9ddb300d874a30db35e3ad58f188944bef0bf31b
https://github.com/zaphoyd/websocketpp/commit/4cab5e5c0c5f19fcee7d37b4a38b156d63a150d4

The two patches, which have been backported to websocketpp 0.7.0 are attached to this bug report
websocketpp-0.7.0-zlib-permessage-deflate.patch
websocketpp-0.7.0-minor-adjustments-to-recent-extension-negotiation.patch

- Furthermore, the following two tests are occasionally failing:
test_transport, test_transport_asio_timers

A patch, which disables these two tests, is attached to this bug report.
websocketpp-0.7.0-disable-test_transport-test_transport_asio_timers.patch

Version-Release number of selected component (if applicable):
0.7.0-6

How reproducible:
Always


Additional info:
An updated spec file can be found here:
Spec URL: https://raw.githubusercontent.com/c72578/rpmbuild/master/SPECS/websocketpp.spec

* Tue Jun 13 2017 Wolfgang Stöggl <c72578@yahoo.de> - 0.7.0-7
- Add patches to fix zlib test failure (test_permessage_deflate)
- Disable tests test_transport, test_transport_asio_timers

Fedora copr test builds of 0.7.0-7 are here:
https://copr.fedorainfracloud.org/coprs/c72578/websocketpp/

SRPM URL: https://copr-be.cloud.fedoraproject.org/results/c72578/websocketpp/fedora-rawhide-x86_64/00564734-websocketpp/websocketpp-0.7.0-7.fc27.src.rpm
Comment 1 c72578 2017-06-13 09:57 EDT
Created attachment 1287293 [details]
Fix build and test failures with zlib 1.2.11. Fixes test_permessage_deflate

Backported to websocketpp 0.7.0 from:
https://github.com/zaphoyd/websocketpp/commit/9ddb300d874a30db35e3ad58f188944bef0bf31b
Comment 2 c72578 2017-06-13 10:01 EDT
Created attachment 1287295 [details]
minor adjustments to recent extension negotiation related fixes

Backported to websocketpp 0.7.0 from:
https://github.com/zaphoyd/websocketpp/commit/4cab5e5c0c5f19fcee7d37b4a38b156d63a150d4
Comment 3 c72578 2017-06-13 10:02 EDT
Created attachment 1287297 [details]
Disable tests transport-test and transport_asio_timers

Disable the following tests, which fail occasionally:
test_transport, test_transport_asio_timers
Comment 4 Rex Dieter 2017-06-14 12:00:14 EDT
would you be interested in becoming a fedora package co-maintainer?  If so, I'm wililng to give you commit access, and make the changes yourself.
Comment 5 c72578 2017-06-16 00:47:22 EDT
Thank you very much for the offer to become co-maintainer. Yes, I am very happy to contribute and make changes myself.
Comment 6 Rex Dieter 2017-06-16 10:41:39 EDT
OK, what's your FAS username?  c72578 ?
Comment 7 Rex Dieter 2017-06-16 10:42:43 EDT
In short, I can offer to sponsor you into the packagers group, so that you can comaintain this package.
Comment 8 c72578 2017-06-16 17:41:53 EDT
Thanks a lot. Yes, my FAS username is c72578
Comment 9 Rex Dieter 2017-06-17 12:38:52 EDT
commit acl's granted, feel free to contact me if you have any questions or need help or whatever.
Comment 10 Fedora Update System 2017-06-27 04:25:37 EDT
websocketpp-0.7.0-7.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b6e25ccb51
Comment 11 Fedora Update System 2017-06-27 16:26:44 EDT
websocketpp-0.7.0-7.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b6e25ccb51
Comment 12 Fedora Update System 2017-07-07 19:01:34 EDT
websocketpp-0.7.0-7.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.